##
##  arj.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         arj
Summary:      Archiver for ARJ Format Files
URL:          http://arj.sourceforge.net/
Vendor:       ARJ Software
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Archiver
License:      Open Source
Version:      3.10.22
Release:      20080101

#   list of sources
Source0:      http://testcase.newmail.ru/files/arj-%{version}.tar.gz
Patch0:       arj.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, autoconf, config
PreReq:       OpenPKG, openpkg >= 20160101

%description
    This is the official packing tool for ARJ format files.

%track
    prog arj = {
        version   = %{version}
        url       = http://arj.sourceforge.net/
        regex     = arj-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0
    %{l_prefix}/bin/config install gnu

%build
    ( cd gnu
      %{l_prefix}/bin/autoconf
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      CPPFLAGS="%{l_cppflags}" \
      LDFLAGS="%{l_ldflags}" \
      INSTALL="%{l_shtool} install -c" \
      GREP="grep" \
      ./configure \
          --prefix=%{l_prefix}
    ) || exit $?
    %{l_make} %{l_mflags} prepare
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

